# $Id: perl-SQL-ReservedWords.spec 7981 2009-11-03 03:05:34Z dag $
# Authority: dag
# Upstream: Christian Hansen C<chansen$cpan,org>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name SQL-ReservedWords

Summary: Reserved SQL words by ANSI/ISO
Name: perl-SQL-ReservedWords
Version: 0.7
Release: 1%{?dist}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/SQL-ReservedWords/

Packager: Dag Wieers <dag@wieers.com>
Vendor: Dag Apt Repository, http://dag.wieers.com/apt/

Source: http://www.cpan.org/modules/by-module/SQL/SQL-ReservedWords-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(Test::More)

%description
Reserved SQL words by ANSI/ISO.

This package contains the following Perl module:

    SQL::ReservedWords

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes MANIFEST META.yml README
%doc %{_mandir}/man1/sqlrw.1*
%doc %{_mandir}/man3/SQL::ReservedWords.3pm*
%doc %{_mandir}/man3/SQL::ReservedWords::*.3pm*
%{_bindir}/sqlrw
%dir %{perl_vendorlib}/SQL/
%{perl_vendorlib}/SQL/ReservedWords/
%{perl_vendorlib}/SQL/ReservedWords.pm

%changelog
* Mon Nov 05 2007 Dag Wieers <dag@wieers.com> - 0.7-1 - 7981/dag
- Initial package. (using DAR)
